<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "desig";
$formname = "Designation Print";
$file = "desig_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn,$zdb);

if (isset($_POST["view"])) {
    $desig = $_POST["desig"];
    $salary = $_POST["salary"];


    $desigcond = "";
    $salarycond = "";

    if (!empty($desig)) {
        $desigcond = " AND `code`='$desig' ";
    }
    if (!empty($salary)) {
        $salarycond = " AND `salary` LIKE '%$salary%' ";
    }

    $getpmain = mysqli_query($conn,"SELECT * FROM `$maindb` WHERE code !='' $desigcond $salarycond ")or die(mysqli_error($conn));
    include("includes/linkshead.php");
    ?>
       <style>
        
        .padd {
            padding: 0px;
            background-color: white;
        }    
        </style>
    
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
<!--            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php // Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php // Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a href="<? // Echo $file; ?>" class="btn btn-primary" onclick="window.close();">Go Back</a>
                </div>
            </div>-->
            <div class="row">
                <div class="col-lg-12 padd">
                    <table class="table table-condensed table-bordered">
                        <tr  style="background-color: #64CCFC">
                            <th>Sr</th>
                            <th>Designation</th>
                            <th>Daily Salary</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[desig]</td>";
                            Echo "<td>$pmain[salary]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>


    <?
}
if (isset($_POST["excel"])) {
    $desig = $_POST[desig];
    $salary = $_POST[salary];


    $desigcond = "";
    $salarycond = "";

    if (!empty($desig)) {
        $desigcond = " AND `code`='$desig' ";
    }
    if (!empty($salarys)) {
        $salarycond = " AND `salary`='$salary' ";
    }

    $getpmain = mysqli_query($conn,"SELECT * FROM `$maindb` WHERE code !='' $desigcond $salarycond ")or die(mysqli_error($conn));
   
    include 'includes/head_rep_excel.php';

    $contents .= "Sr.No,Designation,Daily Salary,\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pdesig = $pmain[desig];
        $psalary = $pmain[salary];

        $contents .= $ctr . ",";
        $contents .= $pdesig . ",";
        $contents .= $psalary . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>